%define version 0.3.9
%define release %mkrel 1

Summary:   	User-friendly telnet client designed for BBS browsing
Name:      	pcmanx-gtk2
Version:   	%{version}
Release:   	%{release}
License: 	GPLv2+
Group:    	Networking/Other
Source0:	http://pcmanx-gtk2.googlecode.com/svn/website/release/%{name}-%{version}.tar.bz2
Url:       	http://code.google.com/p/pcmanx-gtk2/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gtk2-devel desktop-file-utils
BuildRequires:	X11-devel
BuildRequires:	intltool gettext-devel
BuildRequires:	imagemagick
Provides:	pcmanx = %{version}-%{release}
Obsoletes:	pcmanx-pure-gtk2

%description
An easy-to-use telnet client mainly targets BBS users.
PCMan X is a newly developed GPL'd version of PCMan, a full-featured famous BBS
client formerly designed for MS Windows only.
It aimed to be an easy-to-use yet full-featured telnet client facilitating BBS
browsing with the ability to process double-byte characters.

%prep
%setup -q -n %name-%version

%build
%configure2_5x --disable-static --disable-plugin
%make

%install
rm -fr %buildroot
%makeinstall_std

# icon
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
install -m 644 data/pcmanx.png $RPM_BUILD_ROOT%{_liconsdir}/pcmanx.png
convert -resize 32x32 data/pcmanx.png $RPM_BUILD_ROOT%{_iconsdir}/pcmanx.png
convert -resize 16x16 data/pcmanx.png $RPM_BUILD_ROOT%{_miconsdir}/pcmanx.png

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="RemoteAccess" \
	--remove-key='Encoding' \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
	$RPM_BUILD_ROOT%{_datadir}/applications/*

# fwang: remove devel files
rm -f %buildroot%_libdir/{*.la,*.so}

%find_lang pcmanx

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f pcmanx.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/pcmanx
%{_libdir}/libpcmanx_core.so.*
%{_iconsdir}/pcmanx.png
%{_liconsdir}/pcmanx.png
%{_miconsdir}/pcmanx.png
%{_datadir}/pcmanx
%{_datadir}/pixmaps/pcmanx.png
%{_datadir}/applications/*.desktop

%clean
rm -rf %{buildroot}


%changelog
* Mon Sep 07 2009 Funda Wang <fundawang@mandriva.org> 0.3.9-1mdv2010.0
+ Revision: 432724
- New version 0.3.9

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Aug 18 2008 Funda Wang <fundawang@mandriva.org> 0.3.8-1mdv2009.0
+ Revision: 273428
- adjust patch
- New version 0.3.8
- build with xulrunner

* Sat Jul 19 2008 Funda Wang <fundawang@mandriva.org> 0.3.7-4.416.3mdv2009.0
+ Revision: 238663
- rebuild for new FF

* Sat Jul 05 2008 Funda Wang <fundawang@mandriva.org> 0.3.7-4.416.2mdv2009.0
+ Revision: 231929
- rebuild for new ff

* Sat Jun 21 2008 Funda Wang <fundawang@mandriva.org> 0.3.7-4.416.1mdv2009.0
+ Revision: 227794
- BR gettext-devel
- Use new svn snapshot to build against glibc 2.8
- fix underlink

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Apr 19 2008 Funda Wang <fundawang@mandriva.org> 0.3.7-4mdv2009.0
+ Revision: 195808
- rebuild for new FF

* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 0.3.7-3mdv2008.1
+ Revision: 190338
- Rebuild for Firefox 2.0.0.13

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 0.3.7-2mdv2008.1
+ Revision: 164653
- rebuild for new FF

* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 0.3.7-1mdv2008.1
+ Revision: 158185
- New version 0.3.7
- Enable firefox plugin

* Fri Jan 25 2008 Funda Wang <fundawang@mandriva.org> 0.3.6-3mdv2008.1
+ Revision: 157773
- rebuild to obsolete old name

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 30 2007 Funda Wang <fundawang@mandriva.org> 0.3.6-2mdv2008.0
+ Revision: 93962
- drop requires of devel packages by removing devel files

* Sun Sep 02 2007 Funda Wang <fundawang@mandriva.org> 0.3.6-1mdv2008.0
+ Revision: 78191
- add RemoteAccess category
- New version 0.3.6, patch not needed.

* Sun Sep 02 2007 Funda Wang <fundawang@mandriva.org> 0.3.5-5mdv2008.0
+ Revision: 77978
- Obsoletes old name

* Thu Jun 07 2007 Funda Wang <fundawang@mandriva.org> 0.3.5-4mdv2008.0
+ Revision: 36639
- Finally fix duplicate desktop entry problem
- BuildRequires desktop-file-utils
- Provides pcmanx
- use xdg category
- clean old menu
  use find_lang


* Sun Dec 24 2006 Stefan van der Eijk <stefan@mandriva.org> 0.3.5-3mdv2007.0
+ Revision: 101994
- fix release
- Import pcmanx-gtk2

* Wed Sep 06 2006 You-Cheng Hsieh <yochenhsieh@xuite.net> 0.3.5-2mdv2007.0
- Switch to XDG menu
- fix XDG migration (tv)

* Sat Sep 02 2006 You-Cheng Hsieh <yochenhsieh@xuite.net> 0.3.5-1mdv2007.0
- New Release

* Sat Aug 20 2005 You-Cheng Hsieh <yochenhsieh@xuite.net> 0.2.6-1mdk
- First Mandriva Linux package
- rpmlint fixes (Thierry Vignaud)

